


    /* EPC Imp to C Translation Release 4 Version Apr 95 */


#include "imptoc.h"

main() {
static void a() {
unsigned char byte=99;
int nuts=100;
int word=101;
float riee=(double)2;
double liee=(double)3;
long double qiee=(double)4;
char * str="AABBCCDDEEFF";
}
static void b() {
extern unsigned char byte;
extern int nuts;
extern int word;
extern float riee;
extern double liee;
extern long double qiee;
extern char * str;
if (byte==99 && nuts==100 && word==101 && riee==2 && liee==3 && qiee==4 && strcmp(str,"AABBCCDDEEFF")
==0)  fprintf(out_file, "%s", "TEST OK"); else {
 fprintf(out_file, "%s", "WRONG ANSWERS");
 fprintf(out_file, "%6d",byte);
 fprintf(out_file, "%6d",nuts);
 fprintf(out_file, "%6d",word);
 fprintf(out_file, "%s", "\n");
 fprintf(out_file, " %e",riee);
 fprintf(out_file, " %e",liee);
 fprintf(out_file, " %e",qiee);
 fprintf(out_file, "%s", " ");
 fprintf(out_file, "%s", str);
}
}
 b();
exit(0);
}

/* end of automatic translation */

